Update the sales objectives
1 min
POST
https://app.amberflo.io/bizops/goals
Body Parameters
- bodycom.amberflo.bizops.core.definition.GameDefinition.in
- keycom.amberflo.bizops.core.GameKey.inDescription
- accountIdstring
- customerIdstring
- gameTypestring
- levelsstring[]Description
- lifecycleStagesstring[]Description
- levelDetailsMapmap<string, com.amberflo.bizops.core.GameLevel.in>Description
- startingLevelstringDescription
- wonLifeCyclestringDescription
- lostLifeCyclestringDescription
- levelDefinitionsMapmap<string, com.amberflo.bizops.core.definition.LevelDefinition.in>Description
- revisioninteger<int64>Description
- modifiedUserIdstringDescription
Responses
200
- com.amberflo.bizops.core.definition.GameDefinition.out
- keycom.amberflo.bizops.core.GameKey.outDescription
- accountIdstring
- customerIdstring
- gameTypestring
- levelsstring[]Description
- lifecycleStagesstring[]Description
- levelDetailsMapmap<string, com.amberflo.bizops.core.GameLevel.out>Description
- startingLevelstringDescription
- wonLifeCyclestringDescription
- lostLifeCyclestringDescription
- levelDefinitionsMapmap<string, com.amberflo.bizops.core.definition.LevelDefinition.out>Description
- revisioninteger<int64>Description
- modifiedUserIdstringDescription
curl
curl --request POST \
--url https://app.amberflo.io/bizops/goals \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/bizops/goals", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/bizops/goals")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/bizops/goals"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"key": {
"accountId": "",
"customerId": "",
"gameType": ""
},
"levels": [
""
],
"lifecycleStages": [
""
],
"levelDetailsMap": "",
"startingLevel": "",
"wonLifeCycle": "",
"lostLifeCycle": "",
"levelDefinitionsMap": "",
"revision": "",
"modifiedUserId": ""
}